using Decimation.Lib.Items;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Ammo
{
    internal class Pebble : DecimationAmmo
    {
        protected override string ItemName => "Pebble";
        protected override string ItemTooltip => "For use with slings and slingshots";
        protected override string Projectile => "Pebble";
        protected override int Ammo => item.type;
        protected override int Damages => 11;

        protected override void InitAmmo()
        {
            item.width = 16;
            item.height = 16;
            item.maxStack = 999;
            item.consumable = true;
            item.knockBack = 1f;
            item.value = Item.sellPrice(0, 0, 1);
        }

        protected override ModRecipe GetRecipe()
        {
            ModRecipe recipe = GetNewModRecipe(this, 15, TileID.WorkBenches);

            recipe.AddIngredient(ItemID.StoneBlock);

            return recipe;
        }
    }
}